Subject: Re: bug#6871: Please make linum-mode per buffer, not per major mode

From: Lennart Borgman <[email-masked]>
Date: Fri, 20 Aug 2010 03:11:21 +0200

On Fri, Aug 20, 2010 at 12:43 AM, Stefan Monnier
<[email-masked]> wrote:
>> Normally in my own code I just fix all the issues I see on the fly so
>> to say. That is faster since I have already looked at the code then
>> and knows what to do. Later (which may be much later) I might forget
>> about exactly how to do it.
>
> I have my own branch with a hodge-podge of changes in random order.
> When I want to install a change from there to the trunk, I do a diff of
> the relevant files and then pick the relevant parts and add
> a ChangeLog message.

Seems easiest, but I am not sure how to make the diff file. I just
edited the diff file I had. Does this work, i.e. how does the program
patch handle this?

I have attached a patch done this way for just making linum-mode per
buffer instead of per major mode.